|  | Home

# QtTimePropertyManager Class Reference

The QtTimePropertyManager provides and manages QTime properties. More...

     #include <QtTimePropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

### Public Functions

- QtTimePropertyManager ( QObject * parent = 0 )
- ~QtTimePropertyManager ()
- QTime value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

### Public Slots

- void setValue ( QtProperty * property, const QTime & value )

- 1 public slot inherited from QObject

### Signals

- void valueChanged ( QtProperty * property, const QTime & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtTimePropertyManager provides and manages QTime properties.

A time property's value can be retrieved using the value() function, and set using the setValue() slot.

In addition, QtTimePropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager and QtTimeEditFactory.

## Member Function Documentation

### QtTimePropertyManager::QtTimePropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtTimePropertyManager::~QtTimePropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtTimePropertyManager::setValue ( QtProperty * property, const QTime & value ) `[slot]`

Sets the value of the given property to value.

See also value() and valueChanged().

### QTime QtTimePropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns an invalid time object.

See also setValue().

### void QtTimePropertyManager::valueChanged ( QtProperty * property, const QTime & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

See also setValue().